Description

Currently, the user can preview description/notes by clicking "Preview" at the bottom of the page. I think that there are two problems

with this functionality.

The label "Preview" is too general... I expected to be previewing the whole ticket, not just the description.

The preview is displayed at a relative distance to the actual content.

How about trying one of these:

Display a full ticket preview.

Place the Preview link directly under the description, and also have the preview display there too.

Rename "Preview" to "Description Preview"

Related issues:

Has duplicate Redmine - Defect #2094: Preview during Update of an existing Is... Closed

Has duplicate Redmine - Feature #4906: Preview not possible when changeing or... Closed 2010-02-23

Associated revisions

Revision 3623 - 2010-03-28 17:17 - Jean-Philippe Lang

Preview description if it was edited while updating an issue (#741).

History

#1 - 2009-11-16 15:30 - Phil Hord

As mentioned in #2094, the preview is also missing any updates to the original description field.

I think the preview is intended to be used for verifying the wiki-text formatting.  I think that is why the notes are the only thing shown in the preview

window.  However, the Description text should have its own preview "button" if this is the case.

#2 - 2010-03-28 17:18 - Jean-Philippe Lang

- Subject changed from issues: description/note previews to Description preview while editing an issue

- Status changed from New to Closed

- Target version set to 1.0.0 (RC)

- Resolution set to Fixed

As of r3623, description will be previewed if it was edited.

IMHO, previewing issue attributes doesn't make much sense so I close this ticket.
